package com.hzya.frame.sys.flow.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.flow.entity.SysFlowStepAccountEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 流程步骤账户表(SysFlowStepAccount)表服务接口
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:28
 */
public interface ISysFlowStepAccountService extends IBaseService<SysFlowStepAccountEntity, String>{

    /**
     * 保存账户信息
     * @param object
     * @return
     */
    JsonResultEntity saveAccount(JSONObject object);

    /**
     * 更新账户信息
     * @param object
     * @return
     */
    JsonResultEntity updateAccount(JSONObject object);

    /**
     * 删除账户信息
     * @param object
     * @return
     */
    JsonResultEntity deleteAccount(JSONObject object);

    /**
     * 查询账户详情
     * @param object
     * @return
     */
    JsonResultEntity getAccount(JSONObject object);

    /**
     * 查询账户列表数据
     * @param object
     * @return
     */
    JsonResultEntity queryAccountList(JSONObject object);

    /**
     * 查询账户分页数据
     * @param object
     * @return
     */
    JsonResultEntity queryAccountPaged(JSONObject object);

    /**
     * 验证数据库账户
     * @param object
     * @return
     */
    JsonResultEntity verifyDataBase(JSONObject object);
}
